# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-02-03 10:11
import os

from django.core.management import call_command
from django.db import connection, migrations


def load_sql(apps, schema_editor):
    file_names = [
        "resolwe_indexes.sql",
        "resolwe_indexes_2.sql",
    ]
    with connection.cursor() as c:
        for file_name in file_names:
            file_path = os.path.join(os.path.dirname(__file__), file_name)
            with open(file_path) as fh:
                sql_statement = fh.read()
            c.execute(sql_statement)


def load_relation_types(apps, schema_editor):
    call_command("loaddata", "relationtypes", verbosity=0)


class Migration(migrations.Migration):
    initial = True

    operations = [
        migrations.RunPython(load_relation_types),
        migrations.RunPython(load_sql),
        # Update existing entries.
        migrations.RunSQL("UPDATE flow_data SET id=id;"),
        migrations.RunSQL("UPDATE flow_entity SET id=id;"),
    ]
